/**
 * Validates that input contains the only integer between 1 and 100, inclusive.
 * Also validates that file ends with EOLN and EOF.
 */

#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
  registerValidation(argc, argv);
  int n = inf.readInt(10, 10000, "n");
  inf.readEoln();
  inf.readEof();
  ensure(n % 10 == 0);
  return 0;
}
